#!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


# build_monolinguals_cds.sh generates a cdrom per language on ../release folder

set -v
set -x

# Quick
## Create all the languages
## Create iso from test_fs




build_the_cdrom () {

MAGIC_FTP_PATH="$MAGIC_TARGET_FOLDER""/""download/binaries/sgd/cdrom"
IMAGE_NAME="$MAGIC_TARGET_FOLDER""/"""${SGD_STRING}"_""${SGD_VERSION}"".iso"

./build_cdrom_iso.sh "${IMAGE_NAME}"

if [ ! -d "$MAGIC_FTP_PATH" ] ; then
mkdir -p "$MAGIC_FTP_PATH"
fi
mv "$IMAGE_NAME" "$MAGIC_FTP_PATH"

}
#********************
#MAIN PROGRAM
#**************************#

# I will maybe put these variables to sgrub_configure.sh file.

# We want floppies in all languages
source ./util/all_languages.sh


source ./sgrub_configure.sh
read_sgd_version
# Thanks to ./sgrub_configure.sh SGD_VERSION is set with the SGD version

SDG_MODULE_ID="sdg_module"
SDG_LANG_ID="lang_module"
MAGIC_TARGET_FOLDER="../release"
SGD_STRING="super_grub_disk"

# Let's do every language.

source ./util/all_languages.sh

build_the_cdrom

# We want only one language for developing
source ./util/only_english.sh

